<?php


set_time_limit (3600 );


define('SF_ROOT_DIR', "/home/crealfa/public_html/alfa");
//define('SF_ROOT_DIR', "C://wamp/www/alfa");
define('SF_APP',      'sys');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."functions".DIRECTORY_SEPARATOR."HelperHelper.php");
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config_core_compile.php');
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'cache'.DIRECTORY_SEPARATOR.'config_autoload.php');


////////////////////////////////////////////////////////////////////////////////////////
//clases incluidas del sistema



$link = Conexion::getConexion();
$a_param = Conexion::getParamDbByAlias($apps);

if (!mysql_select_db($a_param['db'], $link)) {
    echo 'Could not select database';
    exit;
}



$o_BalanceGeneralDP = new BalanceGeneralBean();
echo "---";
//print_r($o_BalanceGeneralDP);


//if(date('Y-m-d')>= '2015-02-20') exit;
$o_BalanceGeneralDP_DP = new BalanceGeneralDP(new BalanceGeneralBean());

$fechaUltima = date('Y-m-d');
$fechaUltima = '2018-06-31';
$fechaInicio = date('Y-m-d',strtotime($fechaUltima.'-5 day'));

$fechaInicio = '2017-12-30';
//$fechaUltima = date('Y-m-d');
//$fechaUltima = '2016-12-12';

echo $fechaInicio;
echo "<br>";
echo $fechaUltima;


while ($fechaInicio <= $fechaUltima){
	$fechaInicio = date('Y-m-d',strtotime($fechaInicio.'+1 days'));	
	echo $fechaInicio."<br>";
	$o_BalanceGeneralDP_DP->saveResumenSucursal($fechaInicio,18);
}

echo "--***************************-";


exit;

